Debian Bug report logs - #439620
gcc-snapshot: ICE: verify_ssa failed with -ftree-loop-linear

version graph

Package: gcc-snapshot; Maintainer for gcc-snapshot is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gcc-snapshot is src:gcc-snapshot.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Sun, 26 Aug 2007 00:57:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version gcc-snapshot/20070811-1

Fixed in version gcc-snapshot/20080113-1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR34123

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#439620; Package gcc-snapshot. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcc-snapshot: ICE: verify_ssa failed with -ftree-loop-linear
Date: Sun, 26 Aug 2007 00:54:20 +0000
[Message part 1 (text/plain, inline)]
Package: gcc-snapshot
Version: 20070811-1
Severity: normal

Sorry for the rapid-fire bug reports, but when I run:
/usr/lib/gcc-snapshot/bin/gcc -fPIC -O1 -ftree-loop-linear -c  md2.i
I get the following error:

md2.c: In function 'MD2Transform':
md2.c:104: error: definition in block 17 does not dominate use in block 8
for SSA_NAME: t_36 in statement:
t_39 = PHI <t_36(8), 0(13)>
PHI argument
t_36
for PHI node
t_39 = PHI <t_36(8), 0(13)>
md2.c:104: internal compiler error: verify_ssa failed

Preprocessed source is, as always, attached.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gcc-snapshot depends on:
ii  binutils              2.18~cvs20070812-1 The GNU assembler, linker and bina
ii  lib32gcc1             1:4.2.1-4          GCC support library (32 bit Versio
ii  libasound2            1.0.14a-2          ALSA library
ii  libatk1.0-0           1.19.6-1           The ATK accessibility toolkit
ii  libc6                 2.6.1-1            GNU C Library: Shared libraries
ii  libc6-dev             2.6.1-1            GNU C Library: Development Librari
ii  libc6-i386            2.6.1-1            GNU C Library: 32bit shared librar
ii  libcairo2             1.4.10-1+b2        The Cairo 2D vector graphics libra
ii  libfontconfig1        2.4.2-1.2          generic font configuration library
ii  libfreetype6          2.3.5-1+b1         FreeType 2 font engine, shared lib
ii  libgcc1               1:4.2.1-4          GCC support library
ii  libglib2.0-0          2.14.0-2           The GLib library of C routines
ii  libgmp3c2             2:4.2.1+dfsg-5     Multiprecision arithmetic library
ii  libgtk2.0-0           2.11.6-1           The GTK+ graphical user interface 
ii  libice6               2:1.0.4-1          X11 Inter-Client Exchange library
ii  libmpfr1ldbl          2.3.0~rc1.dfsg.1-2 multiple precision floating-point 
ii  libpango1.0-0         1.17.5-1           Layout and rendering of internatio
ii  libpng12-0            1.2.15~beta5-2     PNG library - runtime
ii  libsm6                2:1.0.3-1+b1       X11 Session Management library
ii  libx11-6              2:1.0.3-7          X11 client-side library
ii  libxcursor1           1:1.1.8-2          X cursor management library
ii  libxext6              1:1.0.3-2          X11 miscellaneous extension librar
ii  libxfixes3            1:4.0.3-2          X11 miscellaneous 'fixes' extensio
ii  libxi6                2:1.1.2-1          X11 Input extension library
ii  libxinerama1          1:1.0.2-1          X11 Xinerama extension library
ii  libxrandr2            2:1.2.1-1          X11 RandR extension library
ii  libxrender1           1:0.9.2-1          X Rendering Extension client libra
ii  libxtst6              1:1.0.2-1          X11 Testing -- Resource extension 
ii  zlib1g                1:1.2.3.3.dfsg-5   compression library - runtime

gcc-snapshot recommends no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[md2.i (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#439620; Package gcc-snapshot. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 439620@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 439620@bugs.debian.org
Subject: Re: Bug#439620: gcc-snapshot: ICE: verify_ssa failed with -ftree-loop-linear
Date: Sun, 26 Aug 2007 10:22:38 +0200
forwarded 439620 http://gcc.gnu.org/PR31037
thanks

* brian m. carlson <sandals@crustytoothpaste.ath.cx> [2007-08-26 00:54]:
> md2.c: In function 'MD2Transform':
> md2.c:104: error: definition in block 17 does not dominate use in block 8
> for SSA_NAME: t_36 in statement:
> t_39 = PHI <t_36(8), 0(13)>
> PHI argument
> t_36
> for PHI node
> t_39 = PHI <t_36(8), 0(13)>
> md2.c:104: internal compiler error: verify_ssa failed

Yeah, this is a known issue.
-- 
Martin Michlmayr
http://www.cyrius.com/



Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR31037. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 26 Aug 2007 08:24:02 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 02 Nov 2007 17:03:07 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 02 Nov 2007 17:03:08 GMT) Full text and rfc822 format available.

Tags removed: fixed-upstream Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 16 Nov 2007 19:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#439620; Package gcc-snapshot. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 439620@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 439620@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#439620: gcc-snapshot: ICE: verify_ssa failed with -ftree-loop-linear
Date: Fri, 16 Nov 2007 20:10:46 +0100
forwarded 439620 http://gcc.gnu.org/PR34123
thanks

* Martin Michlmayr <tbm@cyrius.com> [2007-08-26 10:22]:
> > md2.c:104: internal compiler error: verify_ssa failed
> Yeah, this is a known issue.

Nope, it's a different issue. T hanks a lot.
-- 
Martin Michlmayr
http://www.cyrius.com/




Forwarded-to-address changed from http://gcc.gnu.org/PR31037 to http://gcc.gnu.org/PR34123. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 16 Nov 2007 19:15:03 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Sun, 23 Dec 2007 10:33:03 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 20080113-1. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 31 Dec 2008 09:09:09 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:20 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Mon, 19 Dec 2011 07:48:07 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Mon, 19 Dec 2011 07:48:07 GMT) Full text and rfc822 format available.

Message #36 received at 439620-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 413967-done@bugs.debian.org, 439620-done@bugs.debian.org, 449561-done@bugs.debian.org, 451630-done@bugs.debian.org, 451764-done@bugs.debian.org, 452565-done@bugs.debian.org
Subject: Re: close some old bugs that have been fixed
Date: Mon, 19 Dec 2011 01:46:07 -0600
Martin Michlmayr wrote:

> fixed 374410 20081117-1
> fixed 413967 20080113-1
> fixed 439620 20080113-1
> fixed 449561 20080113-1
> fixed 451630 20080113-1
> fixed 451764 20080113-1
> fixed 452565 20080113-1

Thanks.  Closing.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jan 2012 07:35:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:46:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.